/**
 * C++ Struct   bounds
 *
 * Revision     1.0a (9th August 2010)
 * Programmer   Michael Allwright
 *
 * Purpose      Defines an maximum and minimum value, and contains flags to indicate whether they have been
 *              intialised.
**/

#ifndef _LTCPMON_BOUNDS_
#define _LTCPMON_BOUNDS_

struct bounds
{
    bounds(double min, double max) : min(min), max(max), minInitFlag(false), maxInitFlag(false) {}

    double min;
    double max;

    bool minInitFlag;
    bool maxInitFlag;
};

#endif

